summaryrefslogtreecommitdiffstats
path: root/misc
diff options
context:
space:
mode:
author Manuel Reimer <Manuel.Reimer@gmx.de>2010-12-13 15:53:01 -0200
committer Erik Hanson <erik@slackbuilds.org>2010-12-17 07:56:46 -0600
commit0d3df4c6f2282e4f00c2eaa2471751c5609691ae (patch)
tree903db968291d692a1e9b530a6361ebc1547b5bda /misc
parent5c3a60f363f020b032d8bc2a6f4e28874deeb66e (diff)
downloadslackbuilds-0d3df4c6f2282e4f00c2eaa2471751c5609691ae.tar.gz
slackbuilds-0d3df4c6f2282e4f00c2eaa2471751c5609691ae.tar.xz
misc/iscan-firmware: Added (firmware files for EPSON USB scanners)
Signed-off-by: Niels Horn <niels.horn@slackbuilds.org>
Diffstat (limited to 'misc')
-rw-r--r--misc/iscan-firmware/README6
-rw-r--r--misc/iscan-firmware/README.Slackware33
-rw-r--r--misc/iscan-firmware/doinst.sh5
-rw-r--r--misc/iscan-firmware/iscan-firmware.SlackBuild66
-rw-r--r--misc/iscan-firmware/iscan-firmware.info10
-rw-r--r--misc/iscan-firmware/slack-desc19
6 files changed, 139 insertions, 0 deletions
diff --git a/misc/iscan-firmware/README b/misc/iscan-firmware/README
new file mode 100644
index 0000000000..89926056c6
--- /dev/null
+++ b/misc/iscan-firmware/README
@@ -0,0 +1,6 @@
+This is the firmware files for EPSON USB scanners, which are required
+to get them to run with the sane "snapscan" backend.
+
+After installing, you will have to read
+/usr/doc/iscan-firmware-2.8.0.1/README.Slackware and follow the
+instructions inside, or this package will not work for you.
diff --git a/misc/iscan-firmware/README.Slackware b/misc/iscan-firmware/README.Slackware
new file mode 100644
index 0000000000..31fe46b650
--- /dev/null
+++ b/misc/iscan-firmware/README.Slackware
@@ -0,0 +1,33 @@
+You will need to append the following to the /etc/sane.d/snapscan.conf
+file on your system if it's not already there. Note that some (or all)
+of these may already be present, if this is an upgrade of iscan-firmware,
+or you've previously had it installed.
+
+You will have to uncomment the entry for your scanner.
+
+
+#-------------- EPSON Image Scan! for Linux Scanner-Firmware --------------
+
+# Perfection 2480/2580 PHOTO (esfw41.bin)
+#firmware /usr/share/iscan/esfw41.bin
+
+# Perfection 3170 PHOTO (esfw32.bin)
+#firmware /usr/share/iscan/esfw32.bin
+
+# Perfection 3490/3590 PHOTO (esfw52.bin)
+#firmware /usr/share/iscan/esfw52.bin
+
+# Perfection 4180 PHOTO (esfw43.bin)
+#firmware /usr/share/iscan/esfw43.bin
+
+# Perfection 4490 PHOTO (esfw54.bin)
+#firmware /usr/share/iscan/esfw54.bin
+
+# Perfection V10/V100 PHOTO (esfw66.bin)
+#firmware /usr/share/iscan/esfw66.bin
+
+# Perfection V350 PHOTO (esfw68.bin)
+#firmware /usr/share/iscan/esfw68.bin
+
+# Perfection V200 PHOTO (esfw7A.bin)
+#firmware /usr/share/iscan/esfw7A.bin
diff --git a/misc/iscan-firmware/doinst.sh b/misc/iscan-firmware/doinst.sh
new file mode 100644
index 0000000000..ee39ba83e6
--- /dev/null
+++ b/misc/iscan-firmware/doinst.sh
@@ -0,0 +1,5 @@
+echo
+echo Be sure to read /usr/doc/iscan-firmware-2.8.0.1/README.Slackware
+echo for instructions on adding support for loading firmware to your
+echo /etc/sane.d/snapscan.conf file.
+echo
diff --git a/misc/iscan-firmware/iscan-firmware.SlackBuild b/misc/iscan-firmware/iscan-firmware.SlackBuild
new file mode 100644
index 0000000000..d73ca814e8
--- /dev/null
+++ b/misc/iscan-firmware/iscan-firmware.SlackBuild
@@ -0,0 +1,66 @@
+#!/bin/sh
+
+# Slackware build script for iscan-firmware
+
+# Copyright 2006-2010 Manuel Reimer <manuel.reimer@gmx.de>
+# All rights reserved.
+#
+# Redistribution and use of this script, with or without modification, is
+# permitted provided that the following conditions are met:
+#
+# 1. Redistributions of this script must retain the above copyright
+# notice, this list of conditions and the following disclaimer.
+#
+# THIS SOFTWARE IS PROVIDED BY THE AUTHOR ``AS IS'' AND ANY EXPRESS OR IMPLIED
+# WARRANTIES, INCLUDING, BUT NOT LIMITED TO, THE IMPLIED WARRANTIES OF
+# MERCHANTABILITY AND FITNESS FOR A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO
+# EVENT SHALL THE AUTHOR BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
+# SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT LIMITED TO,
+# PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE, DATA, OR PROFITS;
+# OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY THEORY OF LIABILITY,
+# WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT (INCLUDING NEGLIGENCE OR
+# OTHERWISE) ARISING IN ANY WAY OUT OF THE USE OF THIS SOFTWARE, EVEN IF
+# ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
+
+PRGNAM=iscan-firmware
+VERSION=2.8.0.1
+RPMBUILD=72.1.1 # <-- This is the build number used by OpenSuSE in their RPM
+ARCH=noarch
+BUILD=${BUILD:-3}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $PRGNAM-$VERSION
+mkdir $PRGNAM-$VERSION
+cd $PRGNAM-$VERSION
+rpm2cpio $CWD/$PRGNAM-$VERSION-$RPMBUILD.noarch.rpm | cpio -imdv
+#chown -R root:root .
+chmod -R u+w,go+r-w,a-s .
+cd usr/share
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+# All license files are in the directory of the "iscan-plugin-gt-f520-1.0.0"
+# and we only need them once
+cp -a doc/packages/iscan-firmware/iscan-plugin-gt-f520-1.0.0/* \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/README.Slackware > $PKG/usr/doc/$PRGNAM-$VERSION/README.Slackware
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/usr/share/iscan
+cp -a iscan/* $PKG/usr/share/iscan
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+cat $CWD/doinst.sh > $PKG/install/doinst.sh
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/misc/iscan-firmware/iscan-firmware.info b/misc/iscan-firmware/iscan-firmware.info
new file mode 100644
index 0000000000..816ef0c8fe
--- /dev/null
+++ b/misc/iscan-firmware/iscan-firmware.info
@@ -0,0 +1,10 @@
+PRGNAM="iscan-firmware"
+VERSION="2.8.0.1"
+HOMEPAGE="http://www.avasys.jp/english/linux_e/index.html"
+DOWNLOAD="http://download.opensuse.org/distribution/11.2/repo/non-oss/suse/noarch/iscan-firmware-2.8.0.1-72.1.1.noarch.rpm"
+MD5SUM="25049607c81227a7fca1c483e2fbf4f8"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+MAINTAINER="Manuel Reimer"
+EMAIL="Manuel.Reimer@gmx.de"
+APPROVED="Niels Horn"
diff --git a/misc/iscan-firmware/slack-desc b/misc/iscan-firmware/slack-desc
new file mode 100644
index 0000000000..fa35cc60b2
--- /dev/null
+++ b/misc/iscan-firmware/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description. Line
+# up the first '|' above the ':' following the base package name, and the '|'
+# on the right side marks the last column you can put a character in. You must
+# make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':'.
+
+ |-----handy-ruler------------------------------------------------------|
+iscan-firmware: iscan-firmware (firmware files for EPSON USB scanners)
+iscan-firmware:
+iscan-firmware: This is the firmware files for EPSON USB scanners, which are
+iscan-firmware: required to get them to run with the sane "snapscan" backend.
+iscan-firmware:
+iscan-firmware: After installing, you have to uncomment the line which matches
+iscan-firmware: for your scanner in the file "/etc/sane.d/snapscan.conf".
+iscan-firmware:
+iscan-firmware:
+iscan-firmware:
+iscan-firmware: